Zentitle2 Management API (2025-10-10:v1.0.2056)

Download OpenAPI specification:

Overview

This is the documentation for Zentitle2 Software Licensing Platform for SaaS and On-Premise applications.

Please provide feedback to your account manager on things you like and things you'd like to see.

Authentication

Zentitle2 Management API uses OAuth2 over https to manage authentication and authorization.

OAuth2 is an open standard for authorization that enables applications to securely access resources from other apps or services. We use client_credentials flow in the API.

In the client credentials flow, the app sends a request to the authorization server's token endpoint with its client ID and secret, which are used to authenticate the app. If the request is successful, the authorization server returns an access token, which the app can use to access protected resources on the resource server.

The client credentials flow is typically used by server-side apps or apps that run in a trusted environment, such as a secure server or device. It allows these apps to access protected resources on behalf of themselves, rather than on behalf of a user. This grant type is not suitable for browser-based apps or mobile apps, as it does not involve user interaction and does not provide a way for users to grant access to their protected resources.

Here is an example of how to generate client credentials for OAuth2:

  1. Register your application in the Zentitle2 administration site in the "API Credentials" section.

  2. During the registration process, the authorization server will provide you with a client secret for your provided client ID. These are unique, secret values that identify your app and are used to authenticate your requests to the authorization server.

  3. In order to use the client credentials grant type, your app must be able to securely store the client ID and secret. These values should never be shared or exposed to anyone outside of your app, as they provide access to the authorization server on your app's behalf.

  4. Once you have securely stored the client ID and secret, you can begin making requests to the authorization server's token endpoint using the client credentials grant type. This typically involves sending a POST request to the token endpoint, with the client ID and secret provided in the request body.

  5. You will find the token endpoint URL in the Zentitle2 administration site in the "API Credentials" section. Please be aware that the token endpoint URL provided in the UI is the main URL to the IDP for your account. To make a request to the token endpoint, you will need to append /protocol/openid-connect/token to the URL.

  6. If the request is successful, the authorization server will return an access token, which can be used to access protected resources on the resource server. The access token may also include a refresh token, which can be used to obtain a new access token when the original one expires.

Here is an example code in JavaScript that gets the access token:

var body = 'grant_type=client_credentials'
            + '&client_id=' + clientId
            + '&client_secret=' + clientSecret;
pm.sendRequest({
    url: oauth_url + '/protocol/openid-connect/token',
    method: 'POST',
    header: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Accept': 'application/json'
    },
    body: {
        mode: 'raw',
        raw: body
    }
}, function (err, res) {
    var response = res.json();
    environment.set("access_token", response.access_token);
    environment.set("token_time", Date.now() + response.expires_in * 1000);
});

Access token should be sent with every API request in the Authorization header as:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI...

Whenever the Authorization section for an endpoint contains more than one role in the list, it means that any of those roles is sufficient to access this endpoint.

API requires one more header to be set with Id of your Zentitle2 tenant, for example:

N-TenantId: t_KRwhRp1yl0_9gsZjE5Yjaw

Date and Time

The Zentitle2 API adheres to the ISO 8601 standard for date and time formatting. For instance, "2021-12-31T23:59:59Z" signifies the final second of the year 2021 in the UTC time zone. The backend systems of Zentitle2 function in UTC, and as such, all DateTime fields returned by the API are also in UTC. To enhance the usability of our API, we accept datetime values in several formats:

  • 2021-12-31T23:59:59Z - UTC time
  • 2021-12-31T23:59:59 - dates without timezone information are assumed to be UTC time
  • 2021-12-31T23:59:59+01:00 - time with timezone information

Postman Configuration

It's very easy to setup Postman to use with Zentitle2 Management API.

  1. Download OpenAPI specification (top of this page)
  2. Import downloaded file to Postman
  3. Select "No Auth" in the Auth tab (auth will be done using pre-request script).
  4. Add following script in the pre-request script tab:
pm.environment.set("baseUrl", pm.environment.get("orionApiUrl"));

var setAuthHeaders = () => {
    pm.request.headers.upsert({key: 'N-TenantId', value: pm.environment.get("tenantId") });
    pm.request.headers.upsert({key: 'Authorization', value: pm.environment.get("oauth_token") });
};

if (pm.environment.get("token_time") && pm.environment.get("token_time") > Date.now()) {
    setAuthHeaders();
    return;
}

var body = 'grant_type=client_credentials'
    + '&client_id=' + pm.environment.get("clientId")
    + '&client_secret=' + pm.environment.get("clientSecret");
pm.sendRequest({
    url: pm.environment.get("oauth_url"),
    method: 'POST',
    header: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Accept': 'application/json'
    },
    body: {
        mode: 'raw',
        raw: body
    }
}, function (err, res) {
    var response = res.json();
    pm.environment.set("oauth_token", 'Bearer ' + response.access_token);
    pm.environment.set("token_time", Date.now() + response.expires_in * 1000);

    setAuthHeaders();
});
  1. Set up a new Postman Environment using the JSON configuration file downloaded from Zentitle2.

    • Start by launching Zentitle 2 and navigating to the 'Account > API Credentials' section.
    • Locate the 'Management API Clients' box and click on the 'Add API Client' button.
    • Provide a unique Client ID and remember to save it.
    • To download your configuration file, click on the 'Download Postman environment configuration' button.
    • Once you have your configuration file, open the Postman application.
    • In the left sidebar of the Postman application, click on the 'Environments' tab.
    • Inside the Environments tab, find and click on the 'Import' button.
    • A dialog box will appear. Click on 'files' and navigate to the location where your JSON file is stored.
    • Select the JSON file that contains the Postman environment variables and click on 'Open'.
    • Postman will import the environment variables from the JSON file. These variables will be visible in the 'Environments' section in the sidebar.
    • To use the imported environment, select it from the environment dropdown. This dropdown is located in the top right corner of the Postman application.

Responses

Status Meaning Description
200 OK Returned after successful GET requests, body contains requested data
201 Created Returned after successful POST request, body contains created object
204 No Content Returned after successful PUT and DELETE requests. Body is empty

In case of an error, API returns error status code along with ApiError object if applicable.

Errors

Status Meaning Description
400 Bad Request can not parse request body or parameters
401 Unauthorized missing or invalid access token
402 Request Failed parameters were valid but the request failed
403 Forbidden insufficient permissions to perform request
404 Not Found requested resource has not been found
409 Conflict request conflicts with the current state
422 Unprocessable entity request parses correctly, but fails validation
429 Too many requests too many requests hit the API too quickly
500, 502, 503, 504 Server errors something went wrong on Zentitle's end

Changelog

Please see API Versioning documentation for more information about our versioning strategy and how to select an API version.

2025-10-10

Entitlement creation

Add support for entitlement group license files

Manage entitlement group license files via:

Activation lifecycle updates

Offerings

  • New: PATCH /api/v1/offerings/{offeringId} (partial updates) using PatchOfferingApiRequest (includes usageResetSchedule). PUT remains for full replacement.
  • GET /api/v1/offerings list response changed from PaginatedListOfOfferingModel to PaginatedListOfOfferingListModel (leaner listing shape; use GET by id for full details).

End users → Contacts (profiles) and credentials

Model changes — highlights

  • Activation and features
    • ActivateEntitlementApiRequest: added editionId; removed activationCode; activationCredentials is now required.
    • ActivationStateModel / ActivationModel: removed lingerExpiry.
    • ActivationFeatureModel: added currentUsagePeriodStart, nextUsagePeriodStart.
  • Entitlement groups
    • EntitlementGroupModel: added licenseFile; customer now references EntitlementGroupCustomerModel (was CustomerModel).
    • CreateEntitlementGroupApiRequest: properties customerId, skus[] (required), activationCode, orderRefId.
    • ExtendEntitlementGroupApiRequest: property skus[] (required).
  • Entitlements and products
    • EntitlementModel: added usageResetSchedule; removed lingerPeriod; overdraftSeatLimit now uses OverdraftLimitModel (was OverdraftSeatLimitModel); product now uses EntitlementProductModel (was ProductModel).
    • EntitlementFeatureModel and EntitlementOffering[Feature|Model]: an overdraft type moved from OverdraftSeatLimit* to OverdraftLimit*.
    • OfferingApiRequest: added usageResetSchedule; an overdraft type moved to OverdraftLimitApiRequest.
    • UpdateFeature / UpdateFeatureApiRequest / UpdateProductFeatureApiRequest: property overdraftLimit now uses OverdraftLimitApiRequest (was OverdraftSeatLimitApiRequest).
    • UpdateProductApiRequest: removed required lingerPeriod.
  • EUP settings
    • EupSettingsModel / UpdateEupSettingsApiRequest: added showActivationCodes, showEntitlementGroups, showUserManagement; showActivationsGraph now uses EupFeatureAccess; url is no longer required in update.
  • Local License Servers
    • LocalLicenseServerEntitlementModel: embeds LocalLicenseServerEntitlementDetailModel and LocalLicenseServerEntitlementGroupModel for richer detail.

2024-01-01

Initial release

Entitlement general operations

Get entitlement list

This method returns list of entitlements that can be filtered by following query parameters

Authorizations:
Bearer
query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

customerId
string or null <CustomerId>
Example: customerId=cust_n1bmaIvXnEW7DOl0w5EiHQ

Customer identifier

productId
string or null <ProductId>
Example: productId=prod_oH_hPJ3BgE1LTRYd9-kAtg

Product identifier

expand
string or null
Example: expand=customer

Expand configuration

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Get entitlement

This method returns entitlement details

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

query Parameters
expand
string or null
Example: expand=product,attributes,features,offering

Expand configuration

Responses

Response samples

Content type
application/json
{
  • "id": "ent_oH_hPJ3BgEO172Yd9-KuTg",
  • "sku": 1000,
  • "offeringName": "Elevate Standard 1year subscription 1seat",
  • "licenseType": "subscription",
  • "licenseStartType": "activation",
  • "licenseDurationType": "none",
  • "licenseDurationCount": 1,
  • "hasMaintenance": true,
  • "maintenanceDuration": {
    },
  • "seatCount": 10,
  • "overdraftSeatLimit": {
    },
  • "overdraftSeatCount": 2,
  • "seatsUsed": 5,
  • "overdraftSeatsUsed": 0,
  • "seatUtilizationRate": 50,
  • "seatsAvailable": 7,
  • "provisioningDate": "2019-08-24T14:15:22Z",
  • "activationDate": "2019-08-24T14:15:22Z",
  • "expiryDate": "2019-08-24T14:15:22Z",
  • "maintenanceExpiryDate": "2019-08-24T14:15:22Z",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "concurrencyMode": "concurrent",
  • "leasePeriod": {
    },
  • "offlineLeasePeriod": {
    },
  • "gracePeriod": {
    },
  • "gracePeriodExpiry": "2019-08-24T14:15:22Z",
  • "status": "active",
  • "features": [
    ],
  • "attributes": [
    ],
  • "productId": "prod_oH_hPJ3BgEO187Yd9-kuTg",
  • "product": {
    },
  • "exported": true,
  • "export": {
    },
  • "entitlementGroupId": "egr_gH1hGJ3BgE1LTRYd9-k1tg",
  • "planName": "1 month subscription",
  • "actions": {
    },
  • "offeringId": "off_bH_hPJ3BgEO187Yd9-kuTg",
  • "offering": {
    },
  • "editInfo": {
    },
  • "planType": "trial",
  • "created": "2019-08-24T14:15:22Z",
  • "usageResetSchedule": "never"
}

Update entitlement

Allows to change settings of selected entitlement, including attributes and features. Only provided features and attributes will be processed. If the caller has no intentions to update features or attributes those field can be sent as null and all values will remain intact

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

query Parameters
forceSeatCount
boolean

Force seat count change

Request Body schema: application/json
required

Properties required to update entitlement

seatCount
integer or null <int32> [ 1 .. 2147483647 ]

Number of seats

object (OverdraftLimitApiRequest)
expiryDate
string or null <date-time>

Entitlement expiration date

hasMaintenance
boolean or null

Maintenance Enabled

maintenanceExpiryDate
string or null <date-time>

Maintenance Expiry Date

object (Interval)
object (Interval)
object (Interval)
Array of objects (UpdateAttribute)

Array of attributes to update

Array of objects (UpdateFeature)

Array of features to update

usageResetSchedule
string (UsageResetSchedule)
Enum: "never" "onRenewal" "monthly"

Responses

Request samples

Content type
application/json
{
  • "seatCount": 10,
  • "overdraftSeatLimit": {
    },
  • "expiryDate": "2019-08-24T14:15:22Z",
  • "hasMaintenance": true,
  • "maintenanceExpiryDate": "2019-08-24T14:15:22Z",
  • "leasePeriod": {
    },
  • "offlineLeasePeriod": {
    },
  • "gracePeriod": {
    },
  • "attributes": [
    ],
  • "features": [
    ],
  • "usageResetSchedule": "never"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Activate entitlement

This method change state of entitlement that seats can be activated. Depending of offering configuration entitlement can be activated during entitlement creation

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

List of entitlement activations

This method returns list of entitlement activation that can be filtered by following query parameters

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

seatId
string or null
Example: seatId=user@boeing.com

Seat id

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Log of activations activity

This method returns log of activations activity on the entitlement

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

seatId
string or null
Example: seatId=john.doe@elevate.com

Seat id

dateFrom
string or null <date-time>

Date from

dateTo
string or null <date-time>

Date to

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Change entitlement offering

This method allows the change of an entitlement offering. This method can only modify the entitlement to a different offering if the new offering belongs to the same product. If the new offering has a lower seat count than the seats currently used in the entitlement, it will fail unless the 'forceSeatCount' query string parameter is set to true. If the seat count or overdraft settings were manually edited before, they will not be changed by this method. This method will also update all entitlement features and attributes to match the new offering, unless they were previously changed. All usage count feature usages will be reset. If the entitlement has not been activated yet and the offering has been configured to activate the entitlement upon creation, it will be applied by this method. For subscription offerings, it will also update the entitlement expiry date to match the new offering, starting from the current date.

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

query Parameters
forceSeatCount
boolean

Force seat count change

Request Body schema: application/json
required

Properties required to change entitlement offering

offeringId
required
string <OfferingId>

Offering identifier

Responses

Request samples

Content type
application/json
{
  • "offeringId": "off_bH_hPJ3BgEO187Yd9-kuTg"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Disable entitlement

This method disables entitlement. Disabled entitlement cannot be activated.

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Enable entitlement

This method re-enables entitlement. Enabled entitlement can be used normally.

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Export entitlement and delegate it to the Local License Server

This method exports the entitlement, freezes it, and generates a token containing all the necessary data for import into the Local License Server

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Request Body schema: application/json
required
localLicenseServerId
required
string <LocalLicenseServerId>

Local license server that the entitlement should be imported to

Responses

Request samples

Content type
application/json
{
  • "localLicenseServerId": "string"
}

Response samples

Content type
application/json
{
  • "token": "string"
}

Generate entitlement export token

This method generates a token containing the up-to-date entitlement data for import into the Local License Server

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Responses

Response samples

Content type
application/json
{
  • "token": "string"
}

Reset usage count of a feature

Only usage count features can be reset

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

featureId
required
string <FeatureDefinitionId>
Example: feat_B2ghPJ3BgE1LTRYd9-kAtg

Feature identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Import entitlement back from the Local License Server

This method ends the current LLS export session and changes the entitlement host back to cloud

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Request Body schema: application/json
required
token
string or null

Token received when deleting the entitlement from the Local License Server

importWithoutToken
boolean

True if the entitlement should be imported without the token, false otherwise

Responses

Request samples

Content type
application/json
{
  • "token": "string",
  • "importWithoutToken": true
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Trigger provision event

This method triggers provision webhook event for the entitlement

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Reset provision status

This method resets provision date for the entitlement

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Renew entitlement

Renews a subscription entitlement. This method is specially designed for renewal of previously activated subscription entitlements. The new expiry date is determined using following rules:

  • If the expiration date has passed but the grace period is active, the new expiry date will be calculated by adding the subscription period to the current expiry date.
  • If the grace period has either expired or not defined at all, the expiry date will be computed by adding the subscription period to the current date.
  • If the expiry date is still in the future, the new expiry date will be determined by adding the subscription period to the current expiry date.

This method also resets all usage count feature usage at the beginning of the new subscription period.

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Reset entitlement overrides

This method allows to reset entitlement overrides to match current product configuration. Each field can be reset individually by setting corresponding field to true. This method can also to restore current configuration for features and attributes by sending appropriate keys literals in features and attributes arrays. If any of requested fields was not overridden but current product configuration is different from default it still will be updated with current value from product configuration. If reset seatCount or overdraftSeatLimit fields where used and current product configuration results in lower seat count than seats currently used in entitlement it will fail unless forceSeatCount query string parameter is set to true.

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

query Parameters
forceSeatCount
boolean

Force seat count change

Request Body schema: application/json
required

Properties required to reset entitlement overrides

resetLeasePeriod
boolean or null

Reset lease period

resetOfflineLeasePeriod
boolean or null

Reset offline lease period

resetGracePeriod
boolean or null

Reset grace period

resetSeatCount
boolean or null

Reset seat count

resetOverdraftSeatLimit
boolean or null

Reset overdraft seat limit

resetFeatures
Array of strings or null

Reset features from array

resetAttributes
Array of strings or null

Reset attributes from array

resetUsageResetSchedule
boolean or null

Reset usage reset schedule

Responses

Request samples

Content type
application/json
{
  • "resetLeasePeriod": true,
  • "resetOfflineLeasePeriod": true,
  • "resetGracePeriod": true,
  • "resetSeatCount": true,
  • "resetOverdraftSeatLimit": true,
  • "resetFeatures": [
    ],
  • "resetAttributes": [
    ],
  • "resetUsageResetSchedule": true
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Entitlement notes

Create entitlement note

Creates new entitlement note

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Request Body schema: application/json
required

Properties required to create a entitlement note

note
required
string [ 1 .. 1000 ] characters

Entitlement note

Responses

Request samples

Content type
application/json
{
  • "note": "note"
}

Response samples

Content type
application/json
{
  • "id": "nt_Bx_XkJrFzE2HStEdPdRing",
  • "note": "note",
  • "author": {
    },
  • "createdAt": "2019-08-24T14:15:22Z"
}

Get entitlement note list

This method returns list of entitlement notes

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

Responses

Response samples

Content type
application/json
{
  • "notes": [
    ]
}

Get entitlement note

This method returns entitlement note

Authorizations:
Bearer
path Parameters
entitlementId
required
string <EntitlementId>
Example: ent_oH_hPJ3BgEO172Yd9-KuTg

Entitlement identifier

noteId
required
string <NoteId>
Example: nt_Bx_XkJrFzE2HStEdPdRing

Note identifier

Responses

Response samples

Content type
application/json
{
  • "id": "nt_Bx_XkJrFzE2HStEdPdRing",
  • "note": "note",
  • "author": {
    },
  • "createdAt": "2019-08-24T14:15:22Z"
}

Activations

Create activation

Activate entitlement for provided seat id and create activation that can be used feature management This method will work only when entitlement was created before create activation is called.

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to create activation

productId
required
string <ProductId>

Id of a product that will be activated

required
object (ActivationCredentialsModel)
seatId
required
string [ 1 .. 100 ] characters

Identifier that will identify the computer or account for which activation will be created

seatName
string or null <= 50 characters

Optional name of a seat for the activation

editionId
string or null <EditionId>

Edition id for activation (optional)

Responses

Request samples

Content type
application/json
{
  • "productId": "prod_LDkrrHUrMU2epyi3CuWWhg",
  • "activationCredentials": {
    },
  • "seatId": "john.doe@elevate.com",
  • "seatName": "John Doe",
  • "editionId": null
}

Response samples

Content type
application/json
{
  • "id": "act_oH_hPJ3BgE0LTRYd9-k1tg",
  • "activationMethod": "activationCode",
  • "status": "active",
  • "leaseExpiry": "2019-08-24T14:15:22Z",
  • "productId": "prod_oH_hPJ3BgEO187Yd9-kuTg",
  • "entitlementId": "ent_oH_hPJ3BgEO172Yd9-KuTg",
  • "seatId": "user@boeing.com",
  • "seatName": "User Boeing",
  • "username": "User Boeing",
  • "activated": "2019-08-24T14:15:22Z",
  • "lastLease": "2019-08-24T14:15:22Z",
  • "deactivated": "2019-08-24T14:15:22Z",
  • "mode": "online",
  • "entitlementExpiryDate": "2019-08-24T14:15:22Z",
  • "entitlementGracePeriodExpiry": "2019-08-24T14:15:22Z",
  • "entitlementStatus": "active",
  • "entitlementConcurrencyMode": "concurrent",
  • "hasMaintenance": true,
  • "maintenanceExpiryDate": "2019-08-24T14:15:22Z",
  • "attributes": [
    ],
  • "features": [
    ]
}

Refresh activation

Refresh lease time of provided seat activation When activation lease expiry already equals entitlement expiry, next and any subsequent refreshes will fail since the activation cannot be extended beyond the entitlement expiry.

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to refresh activation

activationId
required
string <ActivationId>

Id of a seat activation that will be refreshed

Responses

Request samples

Content type
application/json
{
  • "activationId": "act_oH_hPJ3BgE0LTRYd9-k1tg"
}

Response samples

Content type
application/json
{
  • "id": "act_oH_hPJ3BgE0LTRYd9-k1tg",
  • "activationMethod": "activationCode",
  • "status": "active",
  • "leaseExpiry": "2019-08-24T14:15:22Z",
  • "productId": "prod_oH_hPJ3BgEO187Yd9-kuTg",
  • "entitlementId": "ent_oH_hPJ3BgEO172Yd9-KuTg",
  • "seatId": "user@boeing.com",
  • "seatName": "User Boeing",
  • "username": "User Boeing",
  • "activated": "2019-08-24T14:15:22Z",
  • "lastLease": "2019-08-24T14:15:22Z",
  • "deactivated": "2019-08-24T14:15:22Z",
  • "mode": "online",
  • "entitlementExpiryDate": "2019-08-24T14:15:22Z",
  • "entitlementGracePeriodExpiry": "2019-08-24T14:15:22Z",
  • "entitlementStatus": "active",
  • "entitlementConcurrencyMode": "concurrent",
  • "hasMaintenance": true,
  • "maintenanceExpiryDate": "2019-08-24T14:15:22Z",
  • "attributes": [
    ],
  • "features": [
    ]
}

Get activation state

This method returns activation details including information about attributes and available features

Authorizations:
Bearer
path Parameters
activationId
required
string <ActivationId>
Example: act_oH_hPJ3BgE0LTRYd9-k1tg

Activation identifier

Responses

Response samples

Content type
application/json
{
  • "id": "act_oH_hPJ3BgE0LTRYd9-k1tg",
  • "activationMethod": "activationCode",
  • "status": "active",
  • "leaseExpiry": "2019-08-24T14:15:22Z",
  • "productId": "prod_oH_hPJ3BgEO187Yd9-kuTg",
  • "entitlementId": "ent_oH_hPJ3BgEO172Yd9-KuTg",
  • "seatId": "user@boeing.com",
  • "seatName": "User Boeing",
  • "username": "User Boeing",
  • "activated": "2019-08-24T14:15:22Z",
  • "lastLease": "2019-08-24T14:15:22Z",
  • "deactivated": "2019-08-24T14:15:22Z",
  • "mode": "online",
  • "entitlementExpiryDate": "2019-08-24T14:15:22Z",
  • "entitlementGracePeriodExpiry": "2019-08-24T14:15:22Z",
  • "entitlementStatus": "active",
  • "entitlementConcurrencyMode": "concurrent",
  • "hasMaintenance": true,
  • "maintenanceExpiryDate": "2019-08-24T14:15:22Z",
  • "attributes": [
    ],
  • "features": [
    ]
}

Delete activation

Delete activation on connected entitlement. After this operation another activate operation can be processed with the same or different seat id This method will also return all reusable features checked out on this activation.

Authorizations:
Bearer
path Parameters
activationId
required
string <ActivationId>
Example: act_oH_hPJ3BgE0LTRYd9-k1tg

Activation identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Checkout activation feature

This method checkouts some amount feature. Feature can be used permanently (usage count) or can be returned (element pool) using return feature method.

Authorizations:
Bearer
path Parameters
activationId
required
string <ActivationId>
Example: act_oH_hPJ3BgE0LTRYd9-k1tg

Activation identifier

Request Body schema: application/json
required

Properties required to check out feature

key
required
string [ 1 .. 50 ] characters

Feature key

amount
required
integer <int64> [ 1 .. 9223372036854780000 ]

Amount to checkout

Responses

Request samples

Content type
application/json
{
  • "key": "Workers",
  • "amount": 1
}

Response samples

Content type
application/json
{
  • "key": "Workers",
  • "type": "bool",
  • "active": 1,
  • "available": 9,
  • "total": 10,
  • "currentUsagePeriodStart": "2019-08-24T14:15:22Z",
  • "nextUsagePeriodStart": "2019-08-24T14:15:22Z"
}

Return activation feature

This method returns amount of feature. Only element pool features are allowed to be returned

Authorizations:
Bearer
path Parameters
activationId
required
string <ActivationId>
Example: act_oH_hPJ3BgE0LTRYd9-k1tg

Activation identifier

Request Body schema: application/json
required

Properties required to return feature

key
required
string [ 1 .. 50 ] characters

Feature key

amount
required
integer <int64> [ 1 .. 9223372036854780000 ]

Amount of feature to return

Responses

Request samples

Content type
application/json
{
  • "key": "Workers",
  • "amount": 1
}

Response samples

Content type
application/json
{
  • "key": "Workers",
  • "type": "bool",
  • "active": 1,
  • "available": 9,
  • "total": 10,
  • "currentUsagePeriodStart": "2019-08-24T14:15:22Z",
  • "nextUsagePeriodStart": "2019-08-24T14:15:22Z"
}

Create offline activation

Activate entitlement for provided seat id and create activation for offline usage This method will work only when entitlement was created before create activation is called.

Authorizations:
Bearer
Request Body schema: application/json
required

Encrypted offline activation token

token
required
string non-empty

Encrypted offline activation token, containing all the info required for the seat activation

Responses

Request samples

Content type
application/json
{
  • "token": "string"
}

Response samples

Content type
application/json
{
  • "token": "string"
}

Refresh offline activation

Refresh offline lease time of the provided seat activation

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to refresh activation

activationId
required
string <ActivationId>

Id of a seat activation that will be refreshed

Responses

Request samples

Content type
application/json
{
  • "activationId": "act_oH_hPJ3BgE0LTRYd9-k1tg"
}

Response samples

Content type
application/json
{
  • "token": "string"
}

Deactivate offline activation

Deactivate offline activation. After this operation, another Activate operation can be processed with the same or different seat id

Authorizations:
Bearer
Request Body schema: application/json
required

Encrypted offline deactivation token

token
required
string non-empty

Encrypted offline deactivation token

Responses

Request samples

Content type
application/json
{
  • "token": "string"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Groups

Create an entitlement group

Create an entitlement group providing a list of product SKUs. For each SKU provided an entitlement will be created within the entitlement group. All other parameters are optional. Activation code is also optional, and if not provided, it will be generated automatically. If 3rd party activation code source is used, it should be provided on this call. This call will create an entitlement group what will contain one or more entitlements that is defined by offering specification.

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to create an entitlement group

customerId
string or null <CustomerId>

Optional customer id

skus
required
Array of strings non-empty

Array of SKUs to create an entitlement group for

activationCode
string or null^[A-Z0-9][A-Z0-9-]{0,48}[A-Z0-9]$

Optional activation code

orderRefId
string or null <= 50 characters

Optional order reference number

Responses

Request samples

Content type
application/json
{
  • "customerId": "cust_n1bmaIvXnEW7DOl0w5EiHQ",
  • "skus": [
    ],
  • "activationCode": "string",
  • "orderRefId": "string"
}

Response samples

Content type
application/json
{
  • "id": "egr_gH1hGJ3BgE1LTRYd9-k1tg",
  • "created": "2019-08-24T14:15:22Z",
  • "customerId": "cust_n1bmaIvXnEW7DOl0w5EiHQ",
  • "customer": {
    },
  • "orderRefId": "string",
  • "entitlements": [
    ],
  • "activationCodes": [
    ],
  • "licenseFile": {
    }
}

Get entitlement group list

This method returns entitlement group list. Amount of data returned can be adjusted by using query expand parameter configuration

Authorizations:
Bearer
query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

customerId
string or null <CustomerId>
Example: customerId=cust_n1bmaIvXnEW7DOl0w5EiHQ

Customer identifier

expand
string or null
Example: expand=customer

Expand configuration

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Get an entitlement group

This method returns entitlement group details. The amount of data returned can be adjusted by using query expand parameter configuration

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

query Parameters
expand
string or null
Example: expand=customer,entitlements

Expand configuration

Responses

Response samples

Content type
application/json
{
  • "id": "egr_gH1hGJ3BgE1LTRYd9-k1tg",
  • "created": "2019-08-24T14:15:22Z",
  • "customerId": "cust_n1bmaIvXnEW7DOl0w5EiHQ",
  • "customer": {
    },
  • "orderRefId": "string",
  • "entitlements": [
    ],
  • "activationCodes": [
    ],
  • "licenseFile": {
    }
}

Update entitlement group

Entitlement group update

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Request Body schema: application/json
required

Properties required to update entitlement group

customerId
string or null <CustomerId>

Customer identifier

orderRefId
string or null

Order reference number

Responses

Request samples

Content type
application/json
{
  • "customerId": "cust_n1bmaIvXnEW7DOl0w5EiHQ",
  • "orderRefId": "string"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Add activation codes

This method will add activation codes to the entitlement group.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Request Body schema: application/json
required

Properties required to create activation code

activationCodes
required
Array of strings non-empty ^[A-Z0-9][A-Z0-9-]{0,48}[A-Z0-9]$

Activation codes

ignoreDuplicates
boolean

Duplicates will be ignored, otherwise duplicate code will return error

Responses

Request samples

Content type
application/json
{
  • "activationCodes": [
    ],
  • "ignoreDuplicates": true
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Generate activation codes

This method will generate new codes and add them to the entitlement group.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Request Body schema: application/json
required

Properties required to generate activation codes

count
required
integer <int32> [ 1 .. 100 ]

Number of activation codes to generate

Responses

Request samples

Content type
application/json
{
  • "count": 5
}

Response samples

Content type
application/json
{
  • "activationCodes": [
    ]
}

Remove activation codes

This method will remove activation codes from the entitlement group.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Request Body schema: application/json
required

Properties required to remove activation code

activationCodes
required
Array of strings non-empty ^[A-Z0-9][A-Z0-9-]{0,48}[A-Z0-9]$

Activation codes

ignoreMissing
boolean

Missing codes will be ignored, otherwise not found error will be returned

Responses

Request samples

Content type
application/json
{
  • "activationCodes": [
    ],
  • "ignoreMissing": true
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Extend entitlement group

Extend an existing entitlement group by adding new entitlements based on the provided SKUs. This will add additional entitlements to the existing entitlement group.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Request Body schema: application/json
required

Properties required to extend the entitlement group

skus
required
Array of strings non-empty

Array of SKUs to add to the entitlement group

Responses

Request samples

Content type
application/json
{
  • "skus": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "egr_gH1hGJ3BgE1LTRYd9-k1tg",
  • "created": "2019-08-24T14:15:22Z",
  • "customerId": "cust_n1bmaIvXnEW7DOl0w5EiHQ",
  • "customer": {
    },
  • "orderRefId": "string",
  • "entitlements": [
    ],
  • "activationCodes": [
    ],
  • "licenseFile": {
    }
}

Set license file for entitlement group

This endpoint sets a license file for an entitlement group. If a license file already exists, it will be replaced with the new one.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Request Body schema: multipart/form-data
FormFile
string or null <binary>

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Get license file for entitlement group

This endpoint retrieves the license file for an entitlement group. If no license file exists, it will return a not found error.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Remove license file from entitlement group

This endpoint removes the license file from an entitlement group. If no license file exists, it will return a not found error.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Find entitlement group by activation code

This endpoint looks up an entitlement group using an activation code and product identifier.

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to locate the entitlement group

activationCode
required
string [ 1 .. 50 ] characters

Activation code assigned to the entitlement group

productId
required
string <ProductId>

Product identifier associated with the entitlement group

Responses

Request samples

Content type
application/json
{
  • "activationCode": "Y64E-GJQP-56EW-WEBG",
  • "productId": "prod_Au_WkJrFzE2HStEdPdRing"
}

Response samples

Content type
application/json
{
  • "id": "egr_gH1hGJ3BgE1LTRYd9-k1tg",
  • "created": "2019-08-24T14:15:22Z",
  • "customerId": "cust_n1bmaIvXnEW7DOl0w5EiHQ",
  • "customer": {
    },
  • "orderRefId": "string",
  • "entitlements": [
    ],
  • "activationCodes": [
    ],
  • "licenseFile": {
    }
}

Authorized contacts

Assign contact to entitlement group

This method assigns a contact (with ABL credentials) to the entitlement group. If contact is already part of the entitlement group, the request will be ignored and complete successfully. Adding a contact which does not have ABL credentials will result in an error.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

Request Body schema: application/json
required

Properties required to add contact to entitlement group

id
required
string <CustomerContactId>

Customer contact identifier

Responses

Request samples

Content type
application/json
{
  • "id": "cc_Q2wkJrFzE2HStEdPdRing"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Get entitlement group authorized contacts

This method returns list of contacts (with ABL credentials) authorized for the entitlement group.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Remove contact from entitlement group

This method will remove contact from the entitlement group authorized contacts. If contact (with ABL credentials) is not authorized for this entitlement group, error will be returned.

Authorizations:
Bearer
path Parameters
entitlementGroupId
required
string <EntitlementGroupId>
Example: egr_gH1hGJ3BgE1LTRYd9-k1tg

Entitlement group identifier

contactId
required
string <CustomerContactId>
Example: cc_Q2wkJrFzE2HStEdPdRing

Customer contact identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Local license servers

Get local license servers list

Returns list of all available local license servers

Authorizations:
Bearer

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "elementsTotal": 1
}

Get Local License Server

This method returns Local License Server details

Authorizations:
Bearer
path Parameters
localLicenseServerId
required
string <LocalLicenseServerId>
Example: lls_oH_hPJ3BgEO172Yd9-KuTg

Local License Server identifier

Responses

Response samples

Content type
application/json
{
  • "id": "lls_oH_hPJ3BgEO172Yd9-KuTg",
  • "name": "OffsiteNetwork_85083",
  • "activationId": "string",
  • "activated": "2019-08-24T14:15:22Z",
  • "lastLease": "2019-08-24T14:15:22Z",
  • "leaseExpiry": "2019-08-24T14:15:22Z",
  • "deactivated": "2019-08-24T14:15:22Z",
  • "licenseActive": true
}

Deactivate LLS license without deactivation token (in case that token cannot be retrieved from the LLS)

This method can be called only if the LLS license deactivation without token is allowed on the LLS entitlement. Otherwise, if there is no way to obtain the deactivation token from the LLS, our support team should be contacted to deactivate the license.

Authorizations:
Bearer
path Parameters
localLicenseServerId
required
string <LocalLicenseServerId>

LLS id

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Refresh LLS license

Authorizations:
Bearer
path Parameters
localLicenseServerId
required
string <LocalLicenseServerId>

LLS id

Responses

Response samples

Content type
application/json
{
  • "token": "string"
}

Get Local License Server's configuration

Authorizations:
Bearer

Responses

Response samples

Content type
application/json
{
  • "llsLicenseTenantId": "string",
  • "llsLicenseTenantKey": {
    },
  • "clientTenantId": "string",
  • "clientTenantKey": {
    }
}

Get LLS Entitlement for the current tenant

Authorizations:
Bearer

Responses

Response samples

Content type
application/json
{
  • "entitlement": {
    },
  • "entitlementGroup": {
    }
}

Activate LLS license

Authorizations:
Bearer
Request Body schema: application/json
required

Offline activation request token generated in LLS

token
required
string non-empty

Encrypted offline activation token, containing all the info required for the seat activation

Responses

Request samples

Content type
application/json
{
  • "token": "string"
}

Response samples

Content type
application/json
{
  • "token": "string"
}

Deactivate LLS license

Authorizations:
Bearer
Request Body schema: application/json
required

Offline deactivation token received from LLS

token
required
string non-empty

Encrypted offline deactivation token

Responses

Request samples

Content type
application/json
{
  • "token": "string"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Product general operations

Create product

Creates a new product with default settings

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to create a product

name
required
string [ 1 .. 50 ] characters

Name of product

description
string or null <= 500 characters

Product description

Responses

Request samples

Content type
application/json
{
  • "name": "Elevate",
  • "description": "string"
}

Response samples

Content type
application/json
{
  • "id": "prod_Au_WkJrFzE2HStEdPdRing",
  • "name": "Elevate",
  • "leasePeriod": {
    },
  • "offlineLeasePeriod": {
    },
  • "gracePeriod": {
    },
  • "description": "Cloud analytics platform for enterprise reporting."
}

Get a product list

This method returns a list of products that can be filtered by following query parameters

Authorizations:
Bearer
query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Get product

This method returns product details

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

Responses

Response samples

Content type
application/json
{
  • "id": "prod_Au_WkJrFzE2HStEdPdRing",
  • "name": "Elevate",
  • "leasePeriod": {
    },
  • "offlineLeasePeriod": {
    },
  • "gracePeriod": {
    },
  • "description": "Cloud analytics platform for enterprise reporting."
}

Update product

This method allows changing settings of the selected product

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

Request Body schema: application/json
required

Properties required to update product

name
required
string [ 1 .. 50 ] characters

Name of product

required
object (Interval)
required
object (Interval)
required
object (Interval)
description
string or null <= 500 characters

Product description

Responses

Request samples

Content type
application/json
{
  • "name": "Elevate",
  • "leasePeriod": {
    },
  • "offlineLeasePeriod": {
    },
  • "gracePeriod": {
    },
  • "description": "string"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Patch product

This method allows updating selected product properties. At least one property has to be provided, otherwise the request will be rejected.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

Request Body schema: application/json
required

Properties required to patch a product

name
string or null <= 50 characters

Name of product

object (Interval)
object (Interval)
object (Interval)
description
string or null <= 500 characters

Product description

Responses

Request samples

Content type
application/json
{
  • "name": "Elevate",
  • "leasePeriod": {
    },
  • "offlineLeasePeriod": {
    },
  • "gracePeriod": {
    },
  • "description": "string"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Product attributes

Create product attribute

Create new product attribute. Value defined for this attribute can be overridden in each edition if required.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

Request Body schema: application/json
required

Properties required to create an attribute

key
required
string [ 1 .. 50 ] characters

Attribute unique key

value
string or null <= 500 characters

Attribute value

Array of objects or null (AttributeValidationRule)

Optional validation rules for the attribute value

type
required
string (AttributeType)
Enum: "number" "date" "string"

Responses

Request samples

Content type
application/json
{
  • "type": "string",
  • "key": "version",
  • "value": "1.0.0",
  • "validationRules": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "atr_4i5578njEkGHPUWgOkORdA",
  • "type": "string",
  • "key": "version",
  • "value": "1.0.0",
  • "level": "global",
  • "valueLevel": "global",
  • "validationRules": [
    ]
}

Get product attributes list

This method returns list of all attributes for selected product.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

Responses

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Get product attribute

This method returns selected attribute. In case of global attribute, if overridden value exists on product level, it will be returned, otherwise global value will be returned.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

attributeId
required
string <AttributeDefinitionId>
Example: atr_A1dhPJ3BgE1LTRYd9-kAtg

Attribute identifier

Responses

Response samples

Content type
application/json
{
  • "id": "atr_4i5578njEkGHPUWgOkORdA",
  • "type": "string",
  • "key": "version",
  • "value": "1.0.0",
  • "level": "global",
  • "valueLevel": "global",
  • "validationRules": [
    ]
}

Update product attribute

This method allows to change settings of selected product attribute. This method can be used to override default value of global attributes for each product separately.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

attributeId
required
string <AttributeDefinitionId>
Example: atr_A1dhPJ3BgE1LTRYd9-kAtg

Attribute identifier

Request Body schema: application/json
required

Properties required to update an attribute

key
required
string [ 1 .. 50 ] characters

Attribute unique key

value
string or null <= 500 characters

Attribute value

Array of objects or null (AttributeValidationRule)

Optional validation rules for the attribute value

Responses

Request samples

Content type
application/json
{
  • "key": "version",
  • "value": "1.0.0",
  • "validationRules": [
    ]
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Update product attribute value

This method can be used to change value of selected product attribute. This method can be used to override default value of global attributes for each product separately.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

attributeId
required
string <AttributeDefinitionId>
Example: atr_A1dhPJ3BgE1LTRYd9-kAtg

Attribute identifier

Request Body schema: application/json
required

Properties required to update an attribute value

value
string or null <= 500 characters

Attribute value

Responses

Request samples

Content type
application/json
{
  • "value": "1.0.0"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Product features

Create product feature

Create new product feature. Value defined for this feature can be overridden in each edition if required.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

Request Body schema: application/json
required

Properties required to create an feature

type
required
string (FeatureType)
Enum: "bool" "elementPool" "usageCount"
key
required
string [ 1 .. 50 ] characters

Feature unique key

value
integer or null <int64> [ 0 .. 9007199254740990 ]

Default feature value

description
string or null <= 500 characters

Feature description

object (OverdraftLimitApiRequest)

Responses

Request samples

Content type
application/json
{
  • "type": "bool",
  • "key": "Workers",
  • "value": 10,
  • "description": "Feature controlling worker count",
  • "overdraftLimit": {
    }
}

Response samples

Content type
application/json
{
  • "id": "feat_B2ghPJ3BgE1LTRYd9-kAtg",
  • "type": "bool",
  • "key": "Workers",
  • "description": "Number of workers allowed",
  • "value": 10,
  • "level": "global",
  • "valueLevel": "global",
  • "overdraftLimit": {
    }
}

Get product features list

This method returns list of all features for selected product.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

Responses

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Get product feature

This method returns selected feature. In case of global feature, if overridden value exists on product level, it will be returned, otherwise global value will be returned.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

featureId
required
string <FeatureDefinitionId>
Example: feat_B2ghPJ3BgE1LTRYd9-kAtg

Feature identifier

Responses

Response samples

Content type
application/json
{
  • "id": "feat_B2ghPJ3BgE1LTRYd9-kAtg",
  • "type": "bool",
  • "key": "Workers",
  • "description": "Number of workers allowed",
  • "value": 10,
  • "level": "global",
  • "valueLevel": "global",
  • "overdraftLimit": {
    }
}

Update product feature

This method allows to change settings of selected feature. This method can be used to override default value of global feature for each product separately.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

featureId
required
string <FeatureDefinitionId>
Example: feat_B2ghPJ3BgE1LTRYd9-kAtg

Feature identifier

Request Body schema: application/json
required

Properties required to update an feature

key
string or null <= 50 characters

Feature unique key

value
integer or null <int64> [ 0 .. 9007199254740990 ]

Default feature value

description
string or null <= 500 characters

Feature description

object (OverdraftLimitApiRequest)

Responses

Request samples

Content type
application/json
{
  • "key": "Workers",
  • "value": 10,
  • "description": "Feature controlling worker count",
  • "overdraftLimit": {
    }
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Editions

Create edition

Creates new product edition

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

Request Body schema: application/json
required

Properties required to create an edition

name
required
string [ 1 .. 50 ] characters

Edition name

description
string or null <= 500 characters

Edition description

Responses

Request samples

Content type
application/json
{
  • "name": "Standard",
  • "description": "string"
}

Response samples

Content type
application/json
{
  • "id": "ed_yH_hPJ3BgEO187Yd9-kuTg",
  • "productId": "prod_oH_hPJ3BgEO187Yd9-kuTg",
  • "name": "Standard",
  • "description": "string"
}

Get edition list

This method returns list of editions that can be filtered by following query parameters

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Get edition

This method returns product edition details

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

Responses

Response samples

Content type
application/json
{
  • "id": "ed_yH_hPJ3BgEO187Yd9-kuTg",
  • "productId": "prod_oH_hPJ3BgEO187Yd9-kuTg",
  • "name": "Standard",
  • "description": "string"
}

Update product edition

This method allows to change settings of selected edition

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

Request Body schema: application/json
required

Properties required to update edition

name
required
string [ 1 .. 50 ] characters

Edition name

description
string or null <= 500 characters

Edition description

Responses

Request samples

Content type
application/json
{
  • "name": "Standard",
  • "description": "string"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Edition attributes

Get edition attributes list

This method returns list of all attributes for selected edition.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

Responses

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Get edition attribute

This method returns selected attribute with value defined in edition level (in case of override). If no value is defined in edition level, value defined in higher level is returned.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

attributeId
required
string <AttributeDefinitionId>
Example: atr_A1dhPJ3BgE1LTRYd9-kAtg

Attribute identifier

Responses

Response samples

Content type
application/json
{
  • "id": "atr_4i5578njEkGHPUWgOkORdA",
  • "type": "string",
  • "key": "version",
  • "value": "1.0.0",
  • "level": "global",
  • "valueLevel": "global",
  • "validationRules": [
    ]
}

Update edition attribute

This method allows to change value of selected attribute for specific edition. This method can be used to override default value of global and products attributes.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

attributeId
required
string <AttributeDefinitionId>
Example: atr_A1dhPJ3BgE1LTRYd9-kAtg

Attribute identifier

Request Body schema: application/json
required

Properties required to update an attribute

value
string or null <= 500 characters

Attribute value

Responses

Request samples

Content type
application/json
{
  • "value": "1.0.0"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Delete edition attribute

This method removes attribute value defined in edition level, falling back to value defined on higher level.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

attributeId
required
string <AttributeDefinitionId>
Example: atr_A1dhPJ3BgE1LTRYd9-kAtg

Attribute identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Edition features

Get edition feature list

This method returns list of all features for selected edition.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

Responses

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Get edition feature

This method returns selected feature with value defined in edition level (in case of override). If no value is defined in edition level, value defined in higher level is returned.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

featureId
required
string <FeatureDefinitionId>
Example: feat_B2ghPJ3BgE1LTRYd9-kAtg

Feature identifier

Responses

Response samples

Content type
application/json
{
  • "id": "feat_B2ghPJ3BgE1LTRYd9-kAtg",
  • "type": "bool",
  • "key": "Workers",
  • "description": "Number of workers allowed",
  • "value": 10,
  • "level": "global",
  • "valueLevel": "global",
  • "overdraftLimit": {
    }
}

Update edition feature

This method allows to change value of selected feature for specific edition. This method can be used to override default value of global and products features.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

featureId
required
string <FeatureDefinitionId>
Example: feat_B2ghPJ3BgE1LTRYd9-kAtg

Feature identifier

Request Body schema: application/json
required

Properties required to update an feature

value
integer or null <int64> [ 0 .. 9007199254740990 ]

Default feature value

object (OverdraftLimitApiRequest)

Responses

Request samples

Content type
application/json
{
  • "value": 1000,
  • "overdraftLimit": {
    }
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Delete edition feature

This method removes feature value defined in edition level, falling back to value defined on higher level.

Authorizations:
Bearer
path Parameters
productId
required
string <ProductId>
Example: prod_oH_hPJ3BgEO187Yd9-kuTg

Product identifier

editionId
required
string <EditionId>
Example: ed_yH_hPJ3BgEO187Yd9-kuTg

Edition identifier

featureId
required
string <FeatureDefinitionId>
Example: feat_B2ghPJ3BgE1LTRYd9-kAtg

Feature identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Offerings

Create offering

Creates new offering

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to create an offering

name
required
string [ 1 .. 50 ] characters

Offering name

sku
required
string [ 1 .. 50 ] characters

Offering SKU

description
string or null <= 500 characters

Offering description

editionId
required
string <EditionId>

Edition identifier

planId
required
string <PlanId>

Plan identifier

seatCount
required
integer <int32> [ 1 .. 2147483647 ]

Number of license seats

hasMaintenance
boolean or null

Maintenance enabled

object (Interval)
object (OverdraftLimitApiRequest)
concurrencyMode
required
string (ConcurrencyMode)
Enum: "concurrent" "nodeLock"
object or null

Custom fields

usageResetSchedule
string (UsageResetSchedule)
Enum: "never" "onRenewal" "monthly"
object (Interval)

Responses

Request samples

Content type
application/json
{
  • "name": "Elevate Standard 1Y subscription 10 seats",
  • "sku": 1000,
  • "description": "string",
  • "editionId": "ed_yH_hPJ3BgEO187Yd9-kuTg",
  • "planId": "plan_Cu_WkJrFzE2HStEdPdRing",
  • "seatCount": 10,
  • "hasMaintenance": true,
  • "maintenanceDuration": {
    },
  • "overdraftSeatLimit": {
    },
  • "concurrencyMode": "concurrent",
  • "customFields": {
    },
  • "usageResetSchedule": "never",
  • "gracePeriod": {
    }
}

Response samples

Content type
application/json
{
  • "id": "off_bH_hPJ3BgEO187Yd9-kuTg",
  • "editionId": "ed_yH_hPJ3BgEO187Yd9-kuTg",
  • "edition": {
    },
  • "planId": "plan_Cu_WkJrFzE2HStEdPdRing",
  • "plan": {
    },
  • "name": "Elevate Standard 1 year subscription 1 seat",
  • "sku": 1000,
  • "description": "Full-featured tier with priority support.",
  • "seatCount": 1,
  • "hasMaintenance": true,
  • "maintenanceDuration": {
    },
  • "overdraftSeatLimit": {
    },
  • "concurrencyMode": "concurrent",
  • "stats": {
    },
  • "customFields": {
    },
  • "usageResetSchedule": "never",
  • "gracePeriod": {
    }
}

Get offering list

This method returns list of offering that can be filtered by the following query parameters

Authorizations:
Bearer
query Parameters
productId
string or null <ProductId>
Example: productId=prod_Au_WkJrFzE2HStEdPdRing

Optional product identifier

planId
string or null <PlanId>
Example: planId=plan_Cu_WkJrFzE2HStEdPdRing

Optional plan identifier

expand
string or null
Example: expand=edition,plan

Expand configuration

pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Get offering

This method returns offering details

Authorizations:
Bearer
path Parameters
offeringId
required
string <OfferingId>
Example: off_bH_hPJ3BgEO187Yd9-kuTg

Offering identifier

query Parameters
expand
string or null
Example: expand=edition,plan,stats

Expand configuration

Responses

Response samples

Content type
application/json
{
  • "id": "off_bH_hPJ3BgEO187Yd9-kuTg",
  • "editionId": "ed_yH_hPJ3BgEO187Yd9-kuTg",
  • "edition": {
    },
  • "planId": "plan_Cu_WkJrFzE2HStEdPdRing",
  • "plan": {
    },
  • "name": "Elevate Standard 1 year subscription 1 seat",
  • "sku": 1000,
  • "description": "Full-featured tier with priority support.",
  • "seatCount": 1,
  • "hasMaintenance": true,
  • "maintenanceDuration": {
    },
  • "overdraftSeatLimit": {
    },
  • "concurrencyMode": "concurrent",
  • "stats": {
    },
  • "customFields": {
    },
  • "usageResetSchedule": "never",
  • "gracePeriod": {
    }
}

Update offering

This method allows changing settings of the selected offering

Authorizations:
Bearer
path Parameters
offeringId
required
string <OfferingId>
Example: off_bH_hPJ3BgEO187Yd9-kuTg

Offering identifier

Request Body schema: application/json
required

Properties required to update product

name
required
string [ 1 .. 50 ] characters

Offering name

sku
required
string [ 1 .. 50 ] characters

Offering SKU

description
string or null <= 500 characters

Offering description

editionId
required
string <EditionId>

Edition identifier

planId
required
string <PlanId>

Plan identifier

seatCount
required
integer <int32> [ 1 .. 2147483647 ]

Number of license seats

hasMaintenance
boolean or null

Maintenance enabled

object (Interval)
object (OverdraftLimitApiRequest)
concurrencyMode
required
string (ConcurrencyMode)
Enum: "concurrent" "nodeLock"
object or null

Custom fields

usageResetSchedule
string (UsageResetSchedule)
Enum: "never" "onRenewal" "monthly"
object (Interval)

Responses

Request samples

Content type
application/json
{
  • "name": "Elevate Standard 1Y subscription 10 seats",
  • "sku": 1000,
  • "description": "string",
  • "editionId": "ed_yH_hPJ3BgEO187Yd9-kuTg",
  • "planId": "plan_Cu_WkJrFzE2HStEdPdRing",
  • "seatCount": 10,
  • "hasMaintenance": true,
  • "maintenanceDuration": {
    },
  • "overdraftSeatLimit": {
    },
  • "concurrencyMode": "concurrent",
  • "customFields": {
    },
  • "usageResetSchedule": "never",
  • "gracePeriod": {
    }
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Patch offering

This method allows changing selected offering attributes without providing the full payload.

Authorizations:
Bearer
path Parameters
offeringId
required
string <OfferingId>
Example: off_bH_hPJ3BgEO187Yd9-kuTg

Offering identifier

Request Body schema: application/json
required

Properties required to patch offering

name
string or null <= 50 characters

Offering name

sku
string or null <= 50 characters

Offering SKU

description
string or null <= 500 characters

Offering description

editionId
string or null <EditionId>

Edition identifier

planId
string or null <PlanId>

Plan identifier

seatCount
integer or null <int32> [ 1 .. 2147483647 ]

Number of license seats

hasMaintenance
boolean or null

Maintenance enabled

object (Interval)
object (OverdraftLimitApiRequest)
concurrencyMode
string (ConcurrencyMode)
Enum: "concurrent" "nodeLock"
object or null

Custom fields

usageResetSchedule
string (UsageResetSchedule)
Enum: "never" "onRenewal" "monthly"
object (Interval)

Responses

Request samples

Content type
application/json
{
  • "name": "Elevate Standard 1Y subscription 10 seats",
  • "sku": 1000,
  • "description": "string",
  • "editionId": "ed_yH_hPJ3BgEO187Yd9-kuTg",
  • "planId": "plan_Cu_WkJrFzE2HStEdPdRing",
  • "seatCount": 10,
  • "hasMaintenance": true,
  • "maintenanceDuration": {
    },
  • "overdraftSeatLimit": {
    },
  • "concurrencyMode": "concurrent",
  • "customFields": {
    },
  • "usageResetSchedule": "never",
  • "gracePeriod": {
    }
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Customer general operations

Create customer

Creates new customer

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to create a customer

name
required
string [ 1 .. 255 ] characters

Customer name

legalName
string or null <= 500 characters

Customer legal name

description
string or null <= 500 characters

Customer description

type
string (CustomerType)
Enum: "customer" "prospect" "lostCustomer" "lostProspect" "remove"
accountRefId
string or null <= 50 characters

Account reference id

status
string (CustomerStatus)
Enum: "active" "disabled" "inactive"
object or null

Custom fields

object (CustomerAddressApiRequest)
website
string or null <uri>

Customer website URL

linkedInUrl
string or null <uri>

Customer LinkedIn URL

contractValue
number or null <decimal> [ 0 .. 1000000000000 ]

Contract value in USD

contractStartDate
string or null <date-time>

Contract start date

contractRenewalDate
string or null <date-time>

Contract renewal date

Responses

Request samples

Content type
application/json
{
  • "name": "Boeing",
  • "legalName": "Boeing LLC",
  • "description": "string",
  • "type": "customer",
  • "accountRefId": "account12395-32",
  • "status": "active",
  • "customFields": {
    },
  • "address": {
    },
  • "contractValue": 1000000000000,
  • "contractStartDate": "2019-08-24T14:15:22Z",
  • "contractRenewalDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "id": "cust_n1bmaIvXnEW7DOl0w5EiHQ",
  • "name": "Boeing",
  • "legalName": "Boeing LLC",
  • "description": "Enterprise customer using premium analytics suite.",
  • "type": "customer",
  • "accountRefId": "account12395-32",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "status": "active",
  • "customFields": {
    },
  • "address": {
    },
  • "contractValue": 0,
  • "contractStartDate": "2019-08-24T14:15:22Z",
  • "contractRenewalDate": "2019-08-24T14:15:22Z",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

Get customer list

This method returns list of customers

Authorizations:
Bearer
query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Get customer

This method returns the selected customer

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Responses

Response samples

Content type
application/json
{
  • "id": "cust_n1bmaIvXnEW7DOl0w5EiHQ",
  • "name": "Boeing",
  • "legalName": "Boeing LLC",
  • "description": "Enterprise customer using premium analytics suite.",
  • "type": "customer",
  • "accountRefId": "account12395-32",
  • "disabledDate": "2019-08-24T14:15:22Z",
  • "status": "active",
  • "customFields": {
    },
  • "address": {
    },
  • "contractValue": 0,
  • "contractStartDate": "2019-08-24T14:15:22Z",
  • "contractRenewalDate": "2019-08-24T14:15:22Z",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

Update customer

This method allows to change settings of selected customer

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Request Body schema: application/json
required

Properties required to update a customer

name
required
string [ 1 .. 255 ] characters

Customer name

legalName
string or null <= 500 characters

Customer legal name

description
string or null <= 500 characters

Customer description

type
string (CustomerType)
Enum: "customer" "prospect" "lostCustomer" "lostProspect" "remove"
accountRefId
string or null <= 50 characters

Account reference id

status
string (CustomerStatus)
Enum: "active" "disabled" "inactive"
object or null

Custom fields

object (CustomerAddressApiRequest)
website
string or null <uri>

Customer website URL

linkedInUrl
string or null <uri>

Customer LinkedIn URL

contractValue
number or null <decimal> [ 0 .. 1000000000000 ]

Contract value in USD

contractStartDate
string or null <date-time>

Contract start date

contractRenewalDate
string or null <date-time>

Contract renewal date

Responses

Request samples

Content type
application/json
{
  • "name": "Boeing",
  • "legalName": "Boeing LLC",
  • "description": "string",
  • "type": "customer",
  • "accountRefId": "account12395-32",
  • "status": "active",
  • "customFields": {
    },
  • "address": {
    },
  • "contractValue": 1000000000000,
  • "contractStartDate": "2019-08-24T14:15:22Z",
  • "contractRenewalDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Disable customer

This method disables customer and it's entitlements.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Enable customer

This method re-enables customer and it's entitlements.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Responses

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Get customer End User Portal URL

This method returns customer End User Portal URL

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Responses

Response samples

Content type
application/json
{
  • "url": "customer.eup.zentitle.com"
}

Get customer zentitle statistic

Return zentitle statistic for a given customer

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Responses

Response samples

Content type
application/json
{
  • "entitlementsCount": 0
}

Contacts

Create customer contact

This method creates a new customer contact. The contact must have a unique email address for the customer.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Request Body schema: application/json
required

The contact details

firstName
string or null <= 50 characters

Contact first name

lastName
string or null <= 50 characters

Contact last name

email
required
string <email> [ 1 .. 100 ] characters

Contact email

title
string or null <= 100 characters

Contact job title

contactRefId
string or null <= 50 characters

Contact reference identifier

status
string (CustomerContactStatus)
Enum: "active" "inactive"
isKeyContact
boolean or null

Indicates if the contact is a key contact

linkedInProfile
string or null <uri>

Contact's LinkedIn profile URL

phoneNumber
string or null <= 20 characters

Contact's phone number in E.164 format

Responses

Request samples

Content type
application/json
{
  • "firstName": "John",
  • "lastName": "Doe",
  • "email": "john.doe@example.com",
  • "title": "Manager",
  • "contactRefId": "242bb127-202e-3279-0709-7ec1d3ccba96",
  • "status": "active",
  • "isKeyContact": false,
  • "phoneNumber": "+1234567890"
}

Response samples

Content type
application/json
{
  • "id": "cc_Q2wkJrFzE2HStEdPdRing",
  • "firstName": "John",
  • "lastName": "Doe",
  • "email": "john.doe@example.com",
  • "title": "Manager",
  • "contactRefId": "242bb127-202e-3279-0709-7ec1d3ccba96",
  • "status": "active",
  • "isKeyContact": false,
  • "phoneNumber": "+1234567890",
  • "location": {
    },
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

Get a customer contact list

This method returns a list of customer contacts.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Get customer contact

This method returns selected customer contact details.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

contactId
required
string <CustomerContactId>
Example: cc_Q2wkJrFzE2HStEdPdRing

Customer contact identifier

Responses

Response samples

Content type
application/json
{
  • "id": "cc_Q2wkJrFzE2HStEdPdRing",
  • "firstName": "John",
  • "lastName": "Doe",
  • "email": "john.doe@example.com",
  • "title": "Manager",
  • "contactRefId": "242bb127-202e-3279-0709-7ec1d3ccba96",
  • "status": "active",
  • "isKeyContact": false,
  • "phoneNumber": "+1234567890",
  • "location": {
    },
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

Update customer contact

This method updates all customer contact details.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

contactId
required
string <CustomerContactId>
Example: cc_Q2wkJrFzE2HStEdPdRing

Customer contact identifier

Request Body schema: application/json
required

The updated contact details

firstName
string or null <= 50 characters

Contact first name

lastName
string or null <= 50 characters

Contact last name

email
required
string <email> [ 1 .. 100 ] characters

Contact email

title
string or null <= 100 characters

Contact job title

contactRefId
string or null <= 50 characters

Contact reference identifier

status
required
string (CustomerContactStatus)
Enum: "active" "inactive"
isKeyContact
required
boolean

Indicates if the contact is a key contact

linkedInProfile
string or null <uri>

Contact's LinkedIn profile URL

phoneNumber
string or null <= 20 characters

Contact's phone number in E.164 format

object (ContactLocationApiRequest)

Responses

Request samples

Content type
application/json
{
  • "firstName": "John",
  • "lastName": "Doe",
  • "email": "john.doe@example.com",
  • "title": "Manager",
  • "contactRefId": "242bb127-202e-3279-0709-7ec1d3ccba96",
  • "status": "active",
  • "isKeyContact": false,
  • "phoneNumber": "+1234567890",
  • "location": {
    }
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Patch customer contact

This method updates the selected customer contact details. At least one property must be provided.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

contactId
required
string <CustomerContactId>
Example: cc_Q2wkJrFzE2HStEdPdRing

Customer contact identifier

Request Body schema: application/json
required

The updated contact details

firstName
string or null <= 50 characters

Contact first name

lastName
string or null <= 50 characters

Contact last name

email
string or null <email> <= 100 characters

Contact email

title
string or null <= 100 characters

Contact job title

contactRefId
string or null <= 50 characters

Contact reference identifier

status
string (CustomerContactStatus)
Enum: "active" "inactive"
isKeyContact
boolean or null

Indicates if the contact is a key contact

linkedInProfile
string or null <uri>

Contact's LinkedIn profile URL

phoneNumber
string or null <= 20 characters

Contact's phone number in E.164 format

object (ContactLocationApiRequest)

Responses

Request samples

Content type
application/json
{
  • "firstName": "John",
  • "lastName": "Doe",
  • "email": "john.doe@example.com",
  • "title": "Manager",
  • "contactRefId": "242bb127-202e-3279-0709-7ec1d3ccba96",
  • "status": "active",
  • "isKeyContact": false,
  • "phoneNumber": "+1234567890",
  • "location": {
    }
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

ABL credentials

Get contact credentials

Return the credentials for a contact. If contact does not have credentials, Authentication field will be null.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

contactId
required
string <CustomerContactId>
Example: cc_Q2wkJrFzE2HStEdPdRing

Customer contact identifier

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "authentication": {
    },
  • "role": "user",
  • "active": true,
  • "locked": true
}

Update contact credentials

Creates or updates credentials for a contact. Two types of authentication are supported: password and OpenID. When using OpenID authentication, the unique claim value is required. When using password, email will be sent to the contact's email with a link to set the password. Email must be unique across the system, so if the email is already in use, the operation will fail.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

contactId
required
string <CustomerContactId>
Example: cc_Q2wkJrFzE2HStEdPdRing

Customer contact identifier

Request Body schema: application/json
required

Credentials model

required
object (AuthenticationModel)
role
required
string (CustomerUserRole)
Enum: "user" "admin"

Responses

Request samples

Content type
application/json
{
  • "authentication": {
    },
  • "role": "user"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Request password action

This method allows to request setup password or reset password for selected contact. If the contact does not have credentials set up, the action will return an error. If the action is "setup", the contact will receive an email with a link to set the password unless the contact already has a password, the request will return error. If the action is "reset", the contact will receive an email with a link to reset the password unless the contact does not have a password set, the request will return error.

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

contactId
required
string <CustomerContactId>
Example: cc_Q2wkJrFzE2HStEdPdRing

Customer contact identifier

Request Body schema: application/json
required

Properties required to process contact password action

action
required
string (PasswordAction)
Enum: "setup" "reset"

Responses

Request samples

Content type
application/json
{
  • "action": "setup"
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Customer notes

Create customer note

Creates new customer note

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Request Body schema: application/json
required

Properties required to create a customer note

note
required
string [ 1 .. 1000 ] characters

Customer note

Responses

Request samples

Content type
application/json
{
  • "note": "note"
}

Response samples

Content type
application/json
{
  • "id": "nt_Bx_XkJrFzE2HStEdPdRing",
  • "note": "note",
  • "author": {
    },
  • "createdAt": "2019-08-24T14:15:22Z"
}

Get customer note list

This method returns list of customer notes

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

Responses

Response samples

Content type
application/json
{
  • "notes": [
    ]
}

Get customer note

This method returns customer note

Authorizations:
Bearer
path Parameters
customerId
required
string <CustomerId>
Example: cust_Bx_XkJrFzE2HStEdPdRing

Customer identifier

noteId
required
string <NoteId>
Example: nt_Bx_XkJrFzE2HStEdPdRing

Note identifier

Responses

Response samples

Content type
application/json
{
  • "id": "nt_Bx_XkJrFzE2HStEdPdRing",
  • "note": "note",
  • "author": {
    },
  • "createdAt": "2019-08-24T14:15:22Z"
}

Global attributes

Create global attribute

Create a global attribute that will be included in all entitlements. Default value can be overridden in product or edition level.

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to create an attribute

key
required
string [ 1 .. 50 ] characters

Attribute unique key

value
string or null <= 500 characters

Attribute value

Array of objects or null (AttributeValidationRule)

Optional validation rules for the attribute value

type
required
string (AttributeType)
Enum: "number" "date" "string"

Responses

Request samples

Content type
application/json
{
  • "type": "string",
  • "key": "version",
  • "value": "1.0.0",
  • "validationRules": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "atr_4i5578njEkGHPUWgOkORdA",
  • "type": "string",
  • "key": "version",
  • "value": "1.0.0",
  • "level": "global",
  • "valueLevel": "global",
  • "validationRules": [
    ]
}

Get global attributes list

This method returns list of all attributes

Authorizations:
Bearer

Responses

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Get global attribute

This method returns selected global attribute

Authorizations:
Bearer
path Parameters
attributeId
required
string <AttributeDefinitionId>
Example: atr_A1dhPJ3BgE1LTRYd9-kAtg

Attribute identifier

Responses

Response samples

Content type
application/json
{
  • "id": "atr_4i5578njEkGHPUWgOkORdA",
  • "type": "string",
  • "key": "version",
  • "value": "1.0.0",
  • "level": "global",
  • "valueLevel": "global",
  • "validationRules": [
    ]
}

Update global attribute definition

This method allows to change settings of selected global attribute

Authorizations:
Bearer
path Parameters
attributeId
required
string <AttributeDefinitionId>
Example: atr_A1dhPJ3BgE1LTRYd9-kAtg

Attribute identifier

Request Body schema: application/json
required

Properties required to update an attribute

key
required
string [ 1 .. 50 ] characters

Attribute unique key

value
string or null <= 500 characters

Attribute value

Array of objects or null (AttributeValidationRule)

Optional validation rules for the attribute value

Responses

Request samples

Content type
application/json
{
  • "key": "version",
  • "value": "1.0.0",
  • "validationRules": [
    ]
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Global features

Create global feature

Create a global feature that will be included in all entitlements. Default value can be overridden in product or edition level.

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to create an feature

type
required
string (FeatureType)
Enum: "bool" "elementPool" "usageCount"
key
required
string [ 1 .. 50 ] characters

Feature unique key

value
integer or null <int64> [ 0 .. 9007199254740990 ]

Default feature value

description
string or null <= 500 characters

Feature description

object (OverdraftLimitApiRequest)

Responses

Request samples

Content type
application/json
{
  • "type": "bool",
  • "key": "Workers",
  • "value": 10,
  • "description": "Feature controlling worker count",
  • "overdraftLimit": {
    }
}

Response samples

Content type
application/json
{
  • "id": "feat_B2ghPJ3BgE1LTRYd9-kAtg",
  • "type": "bool",
  • "key": "Workers",
  • "description": "Number of workers allowed",
  • "value": 10,
  • "level": "global",
  • "valueLevel": "global",
  • "overdraftLimit": {
    }
}

Get global features list

This method returns list of all global features

Authorizations:
Bearer

Responses

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Get global feature

This method returns selected global feature

Authorizations:
Bearer
path Parameters
featureId
required
string <FeatureDefinitionId>
Example: feat_B2ghPJ3BgE1LTRYd9-kAtg

Feature identifier

Responses

Response samples

Content type
application/json
{
  • "id": "feat_B2ghPJ3BgE1LTRYd9-kAtg",
  • "type": "bool",
  • "key": "Workers",
  • "description": "Number of workers allowed",
  • "value": 10,
  • "level": "global",
  • "valueLevel": "global",
  • "overdraftLimit": {
    }
}

Update global feature

This method allows to change settings of selected global feature

Authorizations:
Bearer
path Parameters
featureId
required
string <FeatureDefinitionId>
Example: feat_B2ghPJ3BgE1LTRYd9-kAtg

Feature identifier

Request Body schema: application/json
required

Properties required to update an feature

key
required
string [ 1 .. 50 ] characters

Feature unique key

value
integer or null <int64> [ 0 .. 9007199254740990 ]

Default feature value

description
string or null <= 500 characters

Feature description

object (OverdraftLimitApiRequest)

Responses

Request samples

Content type
application/json
{
  • "key": "Workers",
  • "value": 10,
  • "description": "Feature controlling worker count",
  • "overdraftLimit": {
    }
}

Response samples

Content type
application/json
{
  • "details": "string",
  • "error": "string",
  • "errorCode": "string",
  • "validationErrors": [
    ]
}

Plans

Create plan

Creates new plan

Authorizations:
Bearer
Request Body schema: application/json
required

Properties required to create a plan

name
required
string [ 1 .. 50 ] characters

Name of plan

licenseType
required
string (LicenseType)
Enum: "subscription" "perpetual"
licenseStartType
required
string (LicenseStartType)
Enum: "activation" "entitlementCreation" "custom" "manualActivation"
object (Interval)
planType
string (PlanType)
Enum: "trial" "paid" "notForResale" "internal" "beta" "free"
description
string or null <= 500 characters

Plan description

Responses

Request samples

Content type
application/json
{
  • "name": "1 year subscription",
  • "licenseType": "subscription",
  • "licenseStartType": "activation",
  • "licenseDuration": {
    },
  • "planType": "trial",
  • "description": "string"
}

Response samples

Content type
application/json
{
  • "id": "plan_Cu_WkJrFzE2HStEdPdRing",
  • "name": "1 year subscription",
  • "licenseType": "subscription",
  • "licenseStartType": "activation",
  • "licenseDuration": {
    },
  • "planType": "trial",
  • "description": "string"
}

Get plan list

This method returns list of plans that can be filtered by following query parameters

Authorizations:
Bearer
query Parameters
pageNumber
integer <int32>
Example: pageNumber=1

Requested page number

pageSize
integer <int32>
Example: pageSize=10

Maximum number of items per page

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "pageSize": 10,
  • "pageNumber": 1,
  • "elementsTotal": 1
}

Get plan

This method returns plan details

Authorizations:
Bearer
path Parameters
planId
[...]
